Description

At the Memory window at the gvSIG preferences, the bar with the numbers is not shown correctly, they are overlapped.

I attach a screenshot.

History
#1 - 11/07/2014 07:13 AM - Antonio Falciano
- File memory_preferences_win.png added

Hi Mario,
it's due by the interval width of the slider, because there's not the same issue in Windows (see the screenshot in attachment). But the safe limits are
quite little in this case. ;)

#2 - 11/07/2014 07:22 AM - Cesar Martinez Izquierdo

Hola Mario, ¿podrías adjuntar el log para ver los detalles de plataforma, versión de Java, directorio de instalación, etc?
En mi PC se ve correctamente aunque redimensione la ventana.

#3 - 11/07/2014 07:29 AM - Cesar Martinez Izquierdo

Now I see what Antonio pointed out. I will try to make the bar wider in order to accommodate bigger numbers and limit the number of labels shown.

Regarding the limits on Windows, they could be increased if we had a 64 bit version on Windows, but for the moment it is not available.

#4 - 11/10/2014 10:13 AM - Cesar Martinez Izquierdo
- Status changed from New to Fixed

#5 - 11/10/2014 10:14 AM - Cesar Martinez Izquierdo
- Target version set to 2.1.0-2259-rc3

#6 - 11/14/2014 05:45 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2255-testing

#7 - 11/14/2014 07:39 AM - Joaquín  del Cerro Murciano

Cesar Martinez Izquierdo wrote:

Now I see what Antonio pointed out. I will try to make the bar wider in order to accommodate bigger numbers and limit the number of labels
shown.

Regarding the limits on Windows, they could be increased if we had a 64 bit version on Windows, but for the moment it is not available.

Un pequeño comentario relacionado con el layout en los paneles de preferencias.
En los primeros tiempos los paneles de preferencias eran de tamaño fijo, y se
utilizaba un FlowLayout para incrustarlos en el dialogo de preferencias. Ahora
mismo esta es la opcion por defecto.

En algun momento se introdujo la posibilidad de que el panel admitiese "resizearse" 
junto con la ventana, pero para ello hay que sobreescribir el metodo isResizeable
de AbstractPreferencePage devolviendo true. Al hacer esto en lugar de usarse el
FlowLayout se usa un BorderLayout y se alinea nuestro panel como CENTER.

Asi que si has diseñado tu panel de preferencias correctamente se vera mejor si 
sobreescribes el isResizeable retornando true ;)

#8 - 11/24/2014 08:29 AM - Álvaro Anguix
- Status changed from Fixed to Closed
